### Method

# GLib Rand double_range

#### Declaration [src]

    gdouble
    g_rand_double_range (
      GRand* rand_,
      gdouble begin,
      gdouble end
    )

#### Description [src]

Returns the next random #gdouble from `rand_` equally distributed over the range [`begin`..`end`).

#### Parameters

`begin`

  Type: `gdouble`

  Lower closed bound of the interval.

`end`

  Type: `gdouble`

  Upper open bound of the interval.

#### Return value

Type: `gdouble`

A random number.